import { ListenerRss } from "listener-rss/src/listener-rss";
export class YoutubeListenerRss extends ListenerRss {
    constructor(idChaine, timeloop) {
        super({
            name: "",
            timeloop: timeloop,
            address: "https://www.youtube.com/feeds/videos.xml?channel_id=".concat(idChaine),
            customfields: {
                description: ["media:group", "media:description"],
                icon: ["media:group", "media:thumbnail"],
            },
        });
    }
}
