import { ListenerRss } from "listener-rss";

export class YoutubeListenerRss extends ListenerRss {
  constructor(
    idChaine: string,
    timeloop?: number,
    lastEntriesLinks?: string[]
  ) {
    super({
      timeloop: timeloop,
      address: `https://www.youtube.com/feeds/videos.xml?channel_id=${idChaine}`,
      customfields: {
        description: ["media:group", "media:description"],
        icon: ["media:group", "media:thumbnail"],
      },
      lastEntriesLinks: lastEntriesLinks,
    });
  }
}
